<!--::header part start::-->
<header class="main_menu home_menu" *ngIf="group_id != 1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-12 col-xl-12">
                <nav class="navbar navbar-expand-lg navbar-light">
                    <a class="navbar-brand" [routerLink]="'/start_page'"> <img src="/assets/img/logo.svg" alt="logo">
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse main-menu-item justify-content-end" id="navbarSupportedContent"
                        *ngIf="after_login==false">
                        <ul class="navbar-nav">
                            <li class="nav-item active">
                                <a class="nav-link" [routerLink]="'/home'"
                                    style="background-color: transparent;">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" [routerLink]="'/about'"
                                    style="background-color: transparent;">About</a>
                            </li>
                            <li class="nav-item active">
                                <a class="nav-link" [routerLink]="'/become_buyer'"
                                    style="background-color: transparent;">Become a Buyer</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" [routerLink]="'/become_seller'"
                                    style="background-color: transparent;">Become a Seller</a>
                            </li>
                            <!-- <li class="nav-item dropdown">
                              <a class="nav-link dropdown-toggle" href="blog.html" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                  Blog
                              </a>
                              <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                  <a class="dropdown-item" href="blog.html">Blog</a>
                                  <a class="dropdown-item" href="single-blog.html">Single blog</a>
                              </div>
                          </li> -->
                            <!-- <li class="nav-item dropdown">
                              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                  Page
                              </a>
                              <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                  <a class="dropdown-item" href="project.html">Project</a>
                                  <a class="dropdown-item" href="project_details.html">Project Details</a>
                                  <a class="dropdown-item" href="service.html">Services</a>
                                  <a class="dropdown-item" href="elements.html">Elements</a>
                              </div>
                          </li> -->
                            <li class="nav-item">
                                <a class="nav-link" href="#" (click)="register_click()" data-toggle="modal"
                                    style="background-color: transparent; cursor: pointer;">Register</a>
                            </li>
                            <li class="nav-item active">
                                <a class="nav-link SignIN_header_styles" (click)="signIN_click()" data-toggle="modal"
                                    style="cursor: pointer; color: #fff !important;border-radius: 3px;padding: 6px 15px !important;margin: 17px 0px;">Sign
                                    In</a>
                            </li>
                        </ul>
                    </div>

                    <div class="header_search" *ngIf="after_login">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Find Service" name="search">
                            <div class="input-group-btn">
                                <a href="search_result.html" class="btn btn-default" type="submit"><i
                                        class="fa fa-search"></i> Search</a>
                            </div>
                        </div>
                    </div>
                    <div class="collapse navbar-collapse main-menu-item justify-content-end "
                        id="navbarSupportedContent" *ngIf="after_login">
                        <ul class="navbar-nav">
                            <!-- <li class="nav-item active">
                                    <a class="nav-link" href="dashboard.html">Dashboard</a>
                                </li> -->
                            <li class="nav-item">
                                <a class="nav-link" href="home_screen.html">Explore</a>
                            </li>
                            <li class="nav-item header_dropdown message_dropdown">
                                <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                                    class="nav-link dropdown-toggle">
                                    Messages
                                </a>
                                <ul role="menu" class="dropdown-menu animated slideInDown">
                                    <nav>
                                        <div class="nav nav-tabs nav-fill" role="tablist">
                                            <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab"
                                                href="#nav-home" role="tab" aria-controls="nav-home"
                                                aria-selected="true"><i class="fa fa-envelope"></i> Notification</a>
                                            <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab"
                                                href="#nav-profile" role="tab" aria-controls="nav-profile"
                                                aria-selected="false"><i class="fa fa-envelope"></i> Inbox</a>
                                        </div>
                                    </nav>
                                    <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent">
                                        <div class="tab-pane fade show active" id="nav-home" role="tabpanel"
                                            aria-labelledby="nav-home-tab">
                                            <div class="row margin_0">
                                                <div class="col-md-2 pd_0">
                                                    <div class="notification_circle">
                                                        <i class="fa fa-user"></i>
                                                    </div>
                                                </div>
                                                <div class="col-md-9 pd_0">
                                                    <p class="notification_content">
                                                        Your profile image was removed since it might not be original.
                                                        <strong>Learn more</strong>
                                                    </p>
                                                    <p class="item-meta">
                                                        1 week
                                                    </p>
                                                </div>
                                                <div class="col-md-1 text-right pd_0">
                                                    <div class="notification_read_icon">
                                                        <i class="fa fa-envelope"></i>
                                                    </div>
                                                </div>
                                            </div>

                                            <hr style="margin-top: 0px;" />
                                            <div class="row margin_0">
                                                <div class="col-md-2 pd_0">
                                                    <div class="notification_circle">
                                                        <i class="fa fa-user"></i>
                                                    </div>
                                                </div>
                                                <div class="col-md-9 pd_0">
                                                    <p class="notification_content">
                                                        Your profile image was removed since it might not be original.
                                                        <strong>Learn more</strong>
                                                    </p>
                                                    <p class="item-meta">
                                                        1 week
                                                    </p>
                                                </div>
                                                <div class="col-md-1 text-right pd_0">
                                                    <div class="notification_read_icon">
                                                        <i class="fa fa-envelope"></i>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="nav-profile" role="tabpanel"
                                            aria-labelledby="nav-profile-tab">
                                            <div class="row margin_0">
                                                <div class="col-md-2 pd_0">
                                                    <div class="notification_circle">
                                                        <img src="/assets/img/comment/comment_1.png">
                                                    </div>
                                                </div>
                                                <div class="col-md-9 pd_0">
                                                    <p class="notification_content">
                                                        Niraj Singh
                                                    </p>
                                                    <p class="item-meta">
                                                        Hi
                                                    </p>
                                                </div>
                                                <div class="col-md-1 text-right pd_0">
                                                    <div class="notification_read_icon">
                                                        <i class="fa fa-envelope"></i>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </ul>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="saved.html">Saved</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="javascript:void(0)" (click)="onUserMenuClick('orders')">Orders</a>
                            </li>
                            <!-- <li class="nav-item">
                                    <a class="nav-link" href="gig_list.html">Gigs</a>
                                </li> -->
                            <!-- <li class="nav-item">
                                    <a class="nav-link" href="buyer_request.html">Buyer Requests</a>
                                </li> -->
                            <li class="nav-item">
                                <a class="nav-link switch_to_Buying_and_selling_text" href="dashboard.html">Switch to Selling</a>
                            </li>
                            <li class="nav-item header_dropdown">
                                <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                                    class="nav-link dropdown-toggle custom_drop">
                                    <figure style="font-size:32px" class="fit-avatar-figure fit-avatar-circle-shape">
                                        <figcaption class="">p</figcaption><span class="fit-avatar-image"></span>
                                    </figure>
                                </a>
                                <ul role="menu" class="dropdown-menu animated slideInDown">
                                    <li><a href="javascript:void(0)" class="dropdown_a_class"
                                            (click)="onUserMenuClick('my_profile')"><span
                                                class="edu-icon edu-home-admin author-log-ic"></span>My Profile</a>
                                    </li>
                                    <li><a href="dashboard.html" class="dropdown_a_class"><span
                                                class="edu-icon edu-user-rounded author-log-ic"></span>My Dashboard</a>
                                    </li>    
                                    <li><a href="manage_request.html" class="dropdown_a_class"><span
                                                class="edu-icon edu-user-rounded author-log-ic"></span>Manage
                                            Requests</a>
                                    </li>
                                    <li><a href="post_a_request.html" class="dropdown_a_class"><span
                                                class="edu-icon edu-user-rounded author-log-ic"></span>Post a
                                            Request</a>
                                    </li>
                                    <li><a href="javascript:void(0)" (click)="onUserMenuClick('become_a_seller')"
                                            class="dropdown_a_class"><span
                                                class="edu-icon edu-user-rounded author-log-ic"></span>Become a
                                            Seller</a>
                                    </li>
                                    <!-- <li><a href="gig_list.html" class="dropdown_a_class"><span class="edu-icon edu-user-rounded author-log-ic"></span>My Gig</a>
                                        </li> -->
                                    <!-- <li><a href="#" class="dropdown_a_class"><span class="edu-icon edu-user-rounded author-log-ic"></span>My Purchase</a>
                                        </li> -->
                                    <li><a href="help_and_support.html" class="dropdown_a_class"><span
                                                class="edu-icon edu-settings author-log-ic"></span>Help & Support</a>
                                    </li>
                                    <li><a [routerLink]="'/settings'"  class="dropdown_a_class"><span
                                                class="edu-icon edu-settings author-log-ic"></span>Settings</a>
                                    </li>
                                    <li><a href="javascript:void(0)" class="dropdown_a_class"
                                            (click)="onUserMenuClick('log_out')"><span
                                                class="edu-icon edu-locked author-log-ic"></span>Log Out</a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                    <div id="mySidenav" class="sidenav_custom d-block d-sm-none" *ngIf="after_login">
                        <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
                        <div class="name_div">
                            <div class="name_circle_xs">P</div>
                            <h5>Prashant Baikar</h5>
                        </div>
                        <a href="#">Home</a>
                        <a href="#">How it works</a>
                        <a href="#">Become a Seller</a>
                        <h6 class="Profile_text_xs">Profile</h6>
                        <hr style="margin: 5px 15px;" />
                        <a href="#">My Profile</a>
                        <a href="#">My Dashboard</a>
                        <a href="#">My Gigs</a>
                        <a href="#">My Purchase</a>
                        <a href="#">Post Request</a>
                        <a href="#">Settings</a>
                        <a href="#">Logout</a>
                    </div>
                </nav>
            </div>
        </div>
    </div>
</header>

<nav id="sidebar" class="" *ngIf="group_id == 1">
    <div class="sidebar-header">
        <a href="index.html">
            <img class="main-logo" src="img/logo/logo.svg" alt="" />
        </a>
        <strong>
            <a href="index.html">
                <img src="img/logo/logosn.svg" alt="" />
            </a>
        </strong>
    </div>
    <div class="left-custom-menu-adp-wrap comment-scrollbar">
        <nav class="sidebar-nav left-sidebar-menu-pro">
            <ul class="metismenu" id="menu1">
                <li class="active">
                    <a href="Dashboard.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                            aria-hidden="true">dashboard</span> <span class="mini-click-non">Dashboard</span></a>
                </li>
                <li>
                    <a href="Gigs_Category.html" aria-expanded="false"><span class="material-icons">category</span>
                        <span class="mini-click-non">Gig Category</span></a>
                </li>
                <li>
                    <a href="Gigs.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                            aria-hidden="true">perm_media</span> <span class="mini-click-non">Gigs</span></a>
                </li>
                <li>
                    <a href="Profession.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                            aria-hidden="true">card_travel</span> <span class="mini-click-non">Profession</span></a>
                </li>
                <li>
                    <a class="has-arrow" href="#" aria-expanded="false"><span
                            class="material-icons sub-icon-mg">shopping_cart</span> <span
                            class="mini-click-non">Orders</span></a>
                    <ul class="submenu-angle" aria-expanded="false">
                        <li><a title="Utility Sync" href="Order_TotalOrders.html"><span class="mini-sub-pro">Total
                                    Orders</span></a></li>
                        <li><a title="Utility Achieve" href="Order_CompletedOrders.html"><span
                                    class="mini-sub-pro">Completed Orders</span></a></li>
                        <li><a title="Utility Achieve" href="Order_PendingOrders.html"><span
                                    class="mini-sub-pro">Pending Orders</span></a></li>
                        <li><a title="Utility Achieve" href="Order_CancelledOrders.html"><span
                                    class="mini-sub-pro">Cancelled Orders</span></a></li>
                        <li><a title="Utility Achieve" href="Order_DeclinedOrders.html"><span
                                    class="mini-sub-pro">Declined Orders</span></a></li>
                        <li><a title="Utility Achieve" href="Order_DisputOrders.html"><span class="mini-sub-pro">Dispute
                                    Orders</span></a></li>
                    </ul>
                </li>
                <li>
                    <a class="has-arrow" href="#" aria-expanded="false"><span
                            class="material-icons sub-icon-mg">money</span> <span
                            class="mini-click-non">Withdrawal</span></a>
                    <ul class="submenu-angle" aria-expanded="false">
                        <li><a href="Withdrawal_Incoming.html"><span class="mini-sub-pro">Incoming withdrawal</span></a>
                        </li>
                        <li><a href="Withdrawal_Paid.html"><span class="mini-sub-pro">Paid withdrawal</span></a></li>
                    </ul>
                </li>
                <li>
                    <a href="Users.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                            aria-hidden="true">person</span> <span class="mini-click-non">Users</span></a>
                </li>
                <li>
                    <a href="Reviews.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                            aria-hidden="true">stars</span> <span class="mini-click-non">Reviews</span></a>
                </li>
                <li>
                    <a href="Settings.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                            aria-hidden="true">settings</span> <span class="mini-click-non">Settings</span></a>
                </li>
            </ul>
        </nav>
    </div>
</nav>

<div id="SignIn" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <form class="login-form" #loginForm="ngForm" (ngSubmit)="login(loginForm.value, loginForm)">
                <div id="SignIn_div">
                    <div class="modal-header custom_modal_header">
                        <h4 class="modal-title custom_modal_title">Sign In to Taskmer</h4>
                    </div>
                    <div class="modal-body custom_modal_body">
                        <div class="row">
                            <div class="col-md-12">
                                <a href="#" (click)="socialSignIn('facebook')" class="facebook_div" data-toggle="modal">
                                    <i class="fa fa-facebook-square"></i>Continue with Facebook
                                </a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <a href="#" (click)="socialSignIn('google')" class="google_div" data-toggle="modal">
                                    <!-- <i class="fa fa-google"></i>Continue with Google -->
                                    <img src="assets/img/google_logo.png" style="margin-right: 10%;width: 21px;">Continue with Google
                                </a>
                            </div>
                        </div>
                        <div class="separator">OR</div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <input type="email" name="email_address" ngModel required class="form-control"
                                        placeholder="Enter Email / Mobile" #txtEmail="ngModel">
                                    <span class="error_msg" *ngIf="checkvalidation && txtEmail.errors?.required">
                                        Please enter email address.
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <input type="password" name="password" ngModel required class="form-control"
                                        placeholder="Password" #txtPassword="ngModel">
                                    <span class="error_msg" *ngIf="checkvalidation && txtPassword.errors?.required">
                                        Please enter password.
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit"
                                        class="btn btn-success btn-sm btn-block continue_btn">Continue</button>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div style="white-space: nowrap;">
                                    <input class="styled-checkbox" id="styled-checkbox-41" type="checkbox"
                                        value="value41" checked="">
                                    <label for="styled-checkbox-41">Remember me</label>
                                </div>
                            </div>
                            <div class="col-md-6 text-right">
                                <a href="#" (click)="forgot_password_click()" class="forgot_password"
                                    data-toggle="modal">Forgot Password</a>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer custom_modal_footer">
                        <div class="row">
                            <div class="col-md-12">
                                <p class="sign_in_para">Not a member yet ? <a href="#" (click)="register_click()"
                                        id="Register_btn_click" data-toggle="modal">Register
                                        Now</a></p>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
            <div id="Forgot_Password_div" style="display: none;">
                <div class="modal-header custom_modal_header">
                    <h4 class="modal-title custom_modal_title">Forgot Your Password ?</h4>
                </div>
                <div class="modal-body custom_modal_body">
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <p style="color: #62646a;font-size: 14px;">Please enter your email address and we'll
                                send you a link to reset your password.</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <input type="email" class="form-control" name="emailAddress_forgotPasswd"
                                    placeholder="Enter Your Email" ([ngModel])="emailAddress_forgotPasswd"
                                    #txtemailAddress_forgotPasswd>
                                <span class="error_msg"
                                    *ngIf="checkValidation_forgotPasswd && (emailAddress_forgotPasswd==null || emailAddress_forgotPasswd=='' || emailAddress_forgotPasswd==undefined)">
                                    Please enter email address.
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <a href="javascript:void(0);" class="btn btn-success btn-sm btn-block continue_btn"
                                    (click)="getOTP_ForgotPasswd()">Get OTP</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer custom_modal_footer">
                    <div class="row">
                        <div class="col-md-12">
                            <p class="sign_in_para"><a href="javascript:void(0);" (click)="signIN_click()"
                                    data-toggle="modal" id="Back_to_SignIn">Back to Sign In</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="Verify_OTP_modal_pop_modal" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <div class="modal-header custom_modal_header">
                <h4 class="modal-title custom_modal_title">Verify OTP</h4>
            </div>
            <div class="modal-body custom_modal_body">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <p style="color: #62646a;font-e: 14px;">Please Enter the OTP to Verify your Account</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <input type="text" class="form-control" name="otp_forgotPasswdOTP" placeholder="Enter OTP"
                                ([ngModel])="otp_forgotPasswdOTP" #txtotp_forgotPasswdOTP>
                            <span class="error_msg"
                                *ngIf="checkValidation_verifyOTP && (otp_forgotPasswdOTP==null || otp_forgotPasswdOTP==undefined || otp_forgotPasswdOTP=='')">
                                Please enter OTP.
                            </span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <input type="text" class="form-control" name="password_forgotPasswdOTP"
                                placeholder="Enter OTP" ([ngModel])="password_forgotPasswdOTP"
                                #txtpassword_forgotPasswdOTP>
                            <span class="error_msg"
                                *ngIf="checkValidation_verifyOTP && (password_forgotPasswdOTP==null || password_forgotPasswdOTP==undefined || password_forgotPasswdOTP=='')">
                                Please enter Password.
                            </span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <a href="home_screen.html" class="btn btn-success btn-sm btn-block continue_btn"
                                id="Register_continue_btn" (click)="verifyOTP_forgotPasswd()">Verify</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer custom_modal_footer">
                <div class="row">
                    <div class="col-md-12">
                        <p class="sign_in_para"><a href="javascript:void(0);" (click)="getOTP_ForgotPasswd()"><i
                                    class="fa fa-refresh"></i> Resend OTP</a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="Register" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <div class="modal-header custom_modal_header">
                <h4 class="modal-title custom_modal_title">Register</h4>
            </div>
            <div class="modal-body custom_modal_body">
                <div class="row">
                    <div class="col-md-12">
                        <a href="#" (click)="socialSignIn('facebook')" class="facebook_div" data-toggle="modal">
                            <i class="fa fa-facebook-square"></i>Continue with Facebook
                        </a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <a href="#" (click)="socialSignIn('google')" class="google_div" data-toggle="modal">
                            <!-- <i class="fa fa-google"></i>Continue with Google -->
                            <img src="assets/img/google_logo.png" style="margin-right: 10%;width: 21px;">Continue with Google
                        </a>
                    </div>
                </div>
                <div class="separator">OR</div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group has-success has-feedback">
                            <input type="text" class="form-control" name="emailAddressForRegister"
                                placeholder="Enter Your Email" [(ngModel)]="emailAddressForRegister"
                                #txtemailAddressForRegister>
                            <span class="ti-check-box form-control-feedback" data-toggle="tooltip"
                                data-placement="right" title="Available"></span>
                            <span class="error_msg"
                                *ngIf="checkValidation_continue_register && (emailAddressForRegister=='' || emailAddressForRegister==null || emailAddressForRegister==undefined)">
                                Please enter email address.
                            </span>
                        </div>
                        <div class="form-group has-error has-feedback">
                            <!-- <span class="fa fa-times form-control-feedback" data-toggle="tooltip" data-placement="right" title="Already Exists"></span> -->
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <a href="javascript:void(0);" class="btn btn-success btn-sm btn-block continue_btn"
                                data-toggle="modal" id="Register_continue_btn"
                                (click)="register_with_email_click()">Continue</a>
                        </div>
                    </div>
                </div>
                <p class="joining_para">By joining I agree to receive message from Taskmer.</p>
            </div>
            <div class="modal-footer custom_modal_footer">
                <div class="row">
                    <div class="col-md-12">
                        <p class="sign_in_para">Already a member ? <a href="#" (click)="signIN_click()"
                                id="SignIn_btn_click" data-toggle="modal">Sign In</a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="after_register_modal_pop_modal" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content">
            <div class="modal-header custom_modal_header">
                <h4 class="modal-title custom_modal_title">Add Your Details</h4>
            </div>
            <div class="modal-body custom_modal_body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <input type="text" class="form-control" name="userName_addyourdetails"
                                placeholder="Username" [(ngModel)]="userName_addyourdetails"
                                #txtuserName_addyourdetails>
                            <span class="error_msg"
                                *ngIf="checkValidation_addyourdetails && (userName_addyourdetails==null || userName_addyourdetails==undefined || userName_addyourdetails=='')">
                                Please enter user name.
                            </span>
                        </div>
                        <div class="form-group">
                            <input type="password" class="form-control" name="password_addyourdetails"
                                placeholder="Password" [(ngModel)]="password_addyourdetails"
                                #txtpassword_addyourdetails>
                            <span class="error_msg"
                                *ngIf="checkValidation_addyourdetails && (password_addyourdetails=='' || password_addyourdetails==null || password_addyourdetails==undefined)">
                                Please enter password.
                            </span>
                        </div>
                        <div class="form-group">
                            <input type="password" class="form-control" name="confirmPassword_addyourdetails"
                                placeholder="Confirm Password" [(ngModel)]="confirmPassword_addyourdetails"
                                #txtconfirmPassword_addyourdetails>
                            <span class="error_msg"
                                *ngIf="checkValidation_addyourdetails && (confirmPassword_addyourdetails==null || confirmPassword_addyourdetails=='' || confirmPassword_addyourdetails==undefined)">
                                Please enter confirm password.
                            </span>
                            <span class="error_msg"
                                *ngIf="checkValidation_addyourdetails && (password_addyourdetails != confirmPassword_addyourdetails)">
                                &nbsp; Confirm password not getting match.
                            </span>
                        </div>
                        <!-- <div class="form-group">
                            <div class="row">
                              <div class="col-md-12">
                                <div style="padding: 5px 10px;background-color: #ffffcf;">
                                  <p style="margin-bottom: 0px; font-size: 13px;line-height: 1.4;">Minimum eight characters, at least one letter, one number and special character !</p>
                                </div>
                              </div>
                            </div>
                          </div> -->
                        <div class="form-group">
                            <input class="styled-checkbox" id="styled-checkbox-001" type="checkbox" value="value001">
                            <label for="styled-checkbox-001">I agree to our Terms of Service and Privacy Policy</label>
                        </div>
                        <div class="text-center">
                            <a href="javascript:void(0);" class="btn btn-block detail_submit_btn"
                                (click)="onSubmit_addyourdetails()">Submit</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>